=== debian/changelog ===
libcompizconfig (0.9.7.0~bzr428-0ubuntu6) precise-proposed; urgency=low

  * debian/control:
    - bump compiz-dev build-dep for ABI break

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 20 Mar 2012 16:00:19 +0100

libcompizconfig (0.9.7.0~bzr428-0ubuntu5) precise; urgency=low

  * debian/control:
    - bump compiz-dev build-dep for ABI break

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 20 Mar 2012 15:35:08 +0100

libcompizconfig (0.9.7.0~bzr428-0ubuntu4) precise; urgency=low

  * debian/control:
    - bump compiz-dev build-dep for ABI break

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 12 Mar 2012 10:24:49 +0100

libcompizconfig (0.9.7.0~bzr428-0ubuntu3) precise; urgency=low

  * debian/patches/02_primary_is_ctrl.patch:
    - teach to compiz that gtk "primary" is control to enable
      picking right keys from ccsm and g-c-c

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 21 Feb 2012 15:47:36 +0100

libcompizconfig (0.9.7.0~bzr428-0ubuntu2) precise; urgency=low

  * debian/control:
    - build-dep on latest compiz-dev (ABI breakage)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 16 Feb 2012 15:12:59 +0100

libcompizconfig (0.9.7.0~bzr428-0ubuntu1) precise; urgency=low

  * New upstream snapshot
  * debian/control:
    - build-dep on latest compiz-dev (ABI break)
  * debian/rules:
    - pick new abiversion file
  * debian/patches/fix_configuration_upgrade.patch,
    debian/patches/use_gconf_still.patch:
    - remove, in upstream tarball
  * debian/patches/01_add_unity_profile.patch:
    - readded as was previously in upstream tarball, but reverted

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 13 Feb 2012 15:30:01 +0100
