=== debian/control ===
Source: libcompizconfig
Section: libs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               cmake,
               compiz-dev (>= 1:0.9.7.2),
               pkg-config,
               intltool,
               libxml2-dev,
               libxslt1-dev,
               libprotobuf-dev,
               protobuf-compiler,
               libxslt1-dev,
               xsltproc,
               libboost1.46-dev,
               libboost-serialization1.46-dev,
Standards-Version: 3.8.0
Vcs-Bzr: http://bazaar.launchpad.net/~compiz/libcompizconfig/ubuntu

Package: libcompizconfig0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 compiz-core, compiz-core-abiversion-${coreabiversion}
Breaks: compiz-core (<< 1:0.9.2.1+glibmainloop3),
        compizconfig-backend-gconf (<< 0.9.5.92)
Description: Settings library for plugins - OpenCompositing Project
 The OpenCompositing Project brings 3D desktop visual effects that improve
 usability of the X Window System and provide increased productivity
 through plugins and themes contributed by the community giving a
 rich desktop experience.
 .
 This package contains the library for plugins to configure settings.

Package: libcompizconfig0-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, 
 libcompizconfig0 (= ${binary:Version}), compiz-dev
Description: Development file for plugin settings - OpenCompositing Project
 The OpenCompositing Project brings 3D desktop visual effects that improve
 usability of the X Window System and provide increased productivity
 through plugins and themes contributed by the community giving a
 rich desktop experience.
 .
 This package contains the headers and development files needed to
 build plugins with settings support.
